package pont;

import static org.junit.jupiter.api.Assertions.assertAll;
import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

class PontTest {
	Pont p;

	@BeforeEach
	void beforeEach() {
		p = new Pont(5, 7);
	}
	
	@Test
	void test() {
		assertAll(
			() -> assertEquals(5, p.getX()),
			() -> assertEquals(7, p.getY())
		);
	}

	@Nested
	class Eltol {
		@BeforeEach
		void beforeEach() {
			p.eltol(2, 3);
		}

		@Test
		void test() {
			assertAll(
				() -> assertEquals(7, p.getX()),
				() -> assertEquals(10, p.getY())
			);
		}

		@Nested
		class Skalaz {
			@BeforeEach
			void beforeEach() {
				p.skalaz(10, 20);
			}

			@Test
			void test() {
				assertAll(
					() -> assertEquals(70, p.getX()),
					() -> assertEquals(200, p.getY())
				);
			}
		}

	}
	
}
