import java.io.IOException;
import java.io.PrintWriter;
import java.math.BigInteger;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Optional;
import java.util.OptionalDouble;
import java.util.Set;
import java.util.function.Function;
import java.util.function.Supplier;
import java.util.stream.Collectors;
import java.util.stream.IntStream;
import java.util.stream.LongStream;
import java.util.stream.Stream;

import lombok.Cleanup;

public class Streams {
	public static void main3(String[] args) {
		int i = 312;
		String s = "gdhsajf";
		Function<Integer, Integer> fun = i2 -> 2 * i2;	

		List<String> myLines3 = new ArrayList<>(List.of("a", "b", "c"));
		List<String> myLines = List.of("a", "b", "c");
		List<String> myLines2 = new ArrayList<>();

		myLines3.add("x");
		System.out.println(myLines3);

		myLines2.add("a");
		System.out.println(myLines2);

		System.out.println(myLines);
		System.out.println(myLines.getClass().getName());
//		myLines.add("x");    // ez nem megy

	
		var set1 = Set.of(1, 2, 3);
		System.out.println(set1);
		var map1 = Map.of("abc", 1, "xyz", 2, "3", 3);
		System.out.println(map1);

		myLines2.stream();
		set1.stream();
		map1.entrySet().stream();
	}
	
	public static void main2(String[] args) throws IOException {
		Stream.of(1, 2, 3)
			.forEach(n -> System.out.println(n));

		Stream<Integer> myInts = Stream.of(1, 2, 3);
		myInts.forEach(n -> System.out.println(n));
//		myInts.forEach(n -> System.out.println(n));

		List<Integer> result = Stream.of(1, 2, 3)
			.collect(Collectors.toList());
		var result2 = Stream.of(1, 2, 3)
			.collect(Collectors.toList());
		Object[] result3 = Stream.of(1, 2, 3)
			.toArray();
		Integer[] result4 = Stream.of(1, 2, 3)
			.toArray(Integer[]::new);
		Integer[] result5 = Stream.of(1, 2, 3)
			.toArray(value -> new Integer[value]);

		Stream.iterate(1, i -> i + 1)
			.limit(100)
			.forEach(System.out::println);
		
		Set<Integer> elems = new HashSet<>();
		
		String txt = Stream.iterate(1, i -> i + 1)
//			.limit(30)
			.filter(i -> i % 2 == 0)
//			.map(i -> {
//				elems.add(i);
//				return "" + i;
//			})
			.map(i -> "" + i)
			.filter(s -> !s.contains("2"))
			.limit(30)
			.collect(Collectors.joining(", "));

		System.out.println(txt);
		System.out.println(elems);

//		Stream<int> integerStr2;
//		Stream<Integer> integerStr;
		IntStream.range(1, 3).forEach(System.out::println);
		IntStream.rangeClosed(1, 3).forEach(System.out::println);

		Stream<Integer> boxed = IntStream.range(1, 3)
			.boxed();
		
		IntStream.range(1, 3)
			.mapToObj(i -> i);

		IntStream.range(1, 3)
			.mapToObj(Integer::valueOf);
		
		Stream.of(1, 2)
			.mapToInt(i -> i);
		
		Stream.of(1, 2)
			.mapToInt(Integer::intValue);
	
		IntStream.range(1, 1000)
			.takeWhile(i -> i < 300 && i % 53 != 6)
			.forEach(System.out::println);


		List<String> myLines = List.of("a", "b", "c");

		myLines.stream();

		var pw = new PrintWriter("out.txt");

		// AutoCloseable
		// try-with-resources
		try (
			pw;
//			var pw = new PrintWriter("out.txt");
//			String s = "fdsa";
		) {
			Files.lines(Paths.get("in.txt"))
				.filter(line -> line.contains("d"))
				.map(line -> line.split(" ")[0])
				.forEach(pw::println);
			
			pw.flush();
	//		pw.close();
		}

		@Cleanup // Lombok
		var pw2 = new PrintWriter("out.txt");
	
		Files.readAllBytes(Paths.get("in.txt"));
		List<String> allLine = Files.readAllLines(Paths.get("in.txt"));

		
		int sum = IntStream.range(0, 10).sum();
		OptionalDouble average = IntStream.range(0, 10).average();
		System.out.println(average);
		System.out.println(IntStream.range(0, 0).average());
		System.out.println(IntStream.range(0, 0).summaryStatistics());

		Optional<Double> opt = Optional.of(1.0);
		Optional<Double> opt2 = Optional.of(1.0);
//		Optional<Double> opt2 = Optional.empty();
		
		if (opt2.isPresent()) {
			System.out.println("present: " + opt2.get());
		}

		if (opt2.isEmpty()) {
			System.out.println("empty");
		}

		opt2.map(i -> "" + i);
		
		Integer myVeryRealInt = null;
		if (myVeryRealInt != null) {
			myVeryRealInt.doubleValue();
		}

		try {
			myVeryRealInt.doubleValue();
		} catch (NullPointerException e) {
			System.out.println("gotcha");
		}
		Integer myVeryRealInt2 = myVeryRealInt;

		Optional<Integer> evenMoreRealInt
			= Optional.ofNullable(myVeryRealInt2);

		System.out.println(evenMoreRealInt);

		
		IntStream elemStream = IntStream.range(0, 10);
		List<Integer> elemList = elemStream.boxed().collect(Collectors.toList());
//		System.out.println(elemStream.min());
//		System.out.println(elemStream.max());

		var sum2 = LongStream.range(0, 1000000000L)
//			.parallel()
			.sum();

		elemList.stream();
		elemList.stream().parallel();
		elemList.parallelStream();
		
		System.out.println(sum2);

		int[] value = { 1 };
//		int intResult = IntStream.range(0, 1000).parallel()
//			.map(i -> {
//				try {
//					Thread.sleep(10);
//				} catch (InterruptedException e) {
//					// TODO Auto-generated catch block
//					e.printStackTrace();
//				}
//				++value[0];
//				return value[0];
//			})
//			.skip(999)
//			.limit(1)
//			.findFirst()
//			.getAsInt();
//		System.out.println(intResult);

//		IntStream.range(0, 10000000).parallel()
//			.map(i -> { ++value[0]; return value[0]; })
//			.skip(99999)
//			.limit(1)
//			.findFirst()
//			.ifPresent(System.out::println);
	}

	public static void main(String[] args) {
		int[] num = { 0 };
		Supplier<Integer> supp = () -> ++num[0];

		Stream.generate(supp)
			.limit(100)
			.forEach(System.out::println);

		Stream.generate(supp)
		.limit(100)
		.forEach(System.out::println);

		Stream.generate(supp)
		.takeWhile(n -> n < 250)
		.forEach(System.out::println);
		
		Stream.generate(supp)
			.allMatch(n -> n < 300);

		System.out.println(supp.get());

		
		System.out.println(Integer.MAX_VALUE);
		System.out.println(Integer.MAX_VALUE + 1);
		System.out.println(Integer.MAX_VALUE + 1 == Integer.MIN_VALUE);
		BigInteger bi;

		// automatikus konverzi:
		// byte -> short|char -> int -> long -> float -> double
		char c = (byte)123;
		char c2 = (char)(byte)123;
//		long myLong = 123L;
		long myLong = Long.MAX_VALUE;
		float f = myLong;
		System.out.println(myLong);
		System.out.printf("%f", f);
		
		int[] num2 = { 0 };
		Supplier<Integer> supp2 = () -> ++num2[0];

		boolean result = Stream.generate(supp2)
			.allMatch(n -> n >= 0);
		System.out.println(result);
		System.out.println(supp2.get());
	}
	
	public static void main1(String[] args) {
		System.out.println(Chocolates.ABC);
		System.out.println(Cars.XYZ);

		Cars car1 = Cars.XYZ;
		Cars car2 = Cars.XYZ;
//		Cars car3 = new Cars();

		String myString = new String("test");
		
		System.out.println(Cars.XYZ == car1);
		System.out.println(myString == "test");
		System.out.println(myString.equals("test"));

		System.out.println(Chocolates.ABC.popularityRank);
		Chocolates.ABC.popularityRank = 3;
		System.out.println(Chocolates.ABC.popularityRank);
		
		Chocolates choco1 = Chocolates.ABC;
		Chocolates choco2 = Chocolates.ABC;

		Chocolates[] chocos = Chocolates.values();
		Arrays.stream(chocos).forEach(System.out::println);

		Chocolates myFaveChoco = Chocolates.valueOf("ABC");
		System.out.println(choco1.ordinal());
		System.out.println(Chocolates.GHI.ordinal());
		
		Arrays.stream(chocos)
			.map(Chocolates::toString);

		IntStream.range(0, 10)
			.flatMap(i -> IntStream.rangeClosed(0, i))
			.forEach(System.out::println);
		
		String collected = IntStream.range(0, 10)
		.flatMap(i -> IntStream.rangeClosed(0, i))
		.mapToObj(i -> "" + i)
		.collect(Collectors.joining(", "));
		System.out.println(collected);

		var count = IntStream.range(0, 10)
				.flatMap(i -> IntStream.rangeClosed(0, i))
				.count();
		System.out.println(count);
		
		IntStream.range(0, 10)
//		.sorted()
				.flatMap(i -> IntStream.rangeClosed(0, i))
				.count();

//		Stream.iterate(1, i -> i + 1)
//		.sorted()
//		.forEach(System.out::println);

		boolean bool1 = Stream.iterate(1, i -> i + 1)
		.limit(1000)
		.allMatch(i -> i < 10000);
		
		boolean bool2 = Stream.iterate(1, i -> i + 1)
				.limit(1000)
				.anyMatch(i -> i == 4634);
		
		boolean bool3 = Stream.iterate(1, i -> i + 1)
				.limit(1000)
				.noneMatch(i -> i < 10000);
		
		System.out.println(bool1);
		System.out.println(bool2);
		System.out.println(bool3);
	
		Map<Integer, Boolean> map1 = Stream.iterate(1, i -> i + 1)
		.limit(20)
		.collect(Collectors.toMap(i -> 2 * i, i -> i % 2 == 0));

		System.out.println(map1);

		Map<Integer, Set<Integer>> map2 = Stream.iterate(1, i -> i + 1)
		.limit(20)
		.collect(Collectors.toMap(i -> i % 3,
					i -> Set.of(i),
					(set1, set2) -> {
						Set<Integer> newSet = new HashSet<>(set1);
						newSet.addAll(set2);
						return newSet;
					}));

		System.out.println(map2);

		Comparator<Integer> comparator
			= Comparator.comparing((Integer i) -> -i);

		System.out.println(comparator.compare(1, 2));
		System.out.println(comparator.compare(1, 2));
	}

}


enum Chocolates {
	ABC(), DEF("Founder's name", 123), GHI(ABC);
	
//	private final Chocolates ABC;
	
	private final String founder;
	public int popularityRank;
	private int n;

	private Chocolates() {
		founder = "dummy";
	}
	
	private Chocolates(String s, int n) {
		this.founder = s;
		this.n = n;
	}
	
	private Chocolates(Chocolates c) {
		this.founder = c.founder;
		this.n = c.n;
	}
	
	int getN() { return n; }
}

enum Cars {
	ABC, XYZ
}



